Summary:	Tools for the XFS filesystem
Summary(pl.UTF-8):	Narzędzia do systemu plików XFS
Name:		xfsprogs
Version:	4.14.0
Release:	1
License:	LGPL v2.1 (libhandle), GPL v2 (the rest)
Group:		Applications/System
Source0:	https://kernel.org/pub/linux/utils/fs/xfs/xfsprogs/%{name}-%{version}.tar.gz
# Source0-md5:	e3d6d26bb7842b443e09d6d3363a7160
Source1:	xfs_lsprojid
Patch0:		%{name}-miscfix-v2.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.xfs.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	gettext-tools
BuildRequires:	glibc-static
BuildRequires:	libblkid-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libuuid-static
BuildRequires:	readline-devel
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.402
Obsoletes:	xfsprogs-initrd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{pld_release}" == "ac"
# libtool in ac doesn't do the reordering of args properly
%define		filterout_ld -Wl,--as-needed
%endif

%define		_sbindir	/sbin
%define		_bindir		/usr/sbin
%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated on
the SGI IRIX platform. It is completely multi-threaded, can support
large files and large filesystems, extended attributes, variable block
sizes, is extent based, and makes extensive use of Btrees
(directories, extents, free space) to aid both performance and
scalability.

This implementation is on-disk compatible with the IRIX version of
XFS.

%description -l pl.UTF-8
Zbiór komend do użytku z systemem plików XFS, włączając w to mkfs.xfs.

XFS jest wysoko wydajnym systemem plików z kroniką, który oryginalnie
był używany na platformie SGI IRIX. Jest to w pełni wielowątkowy,
obsługujący wielkie pliki oraz wielkie systemy, o rozszerzonych
atrybutach, zmiennych wielkościach bloków, mocno wykorzystujący
B-drzewa by uzyskać wysoką wydajność oraz skalowalność.

%package devel
Summary:	Header files and libraries to develop XFS software
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel

%description devel
Header files and libraries to develop software which operates on XFS
filesystems.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki potrzebne do rozwoju oprogramowania
operującego na systemie plików XFS.

%package static
Summary:	Static XFS software libraries
Summary(pl.UTF-8):	Biblioteki statyczne do XFS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XFS software libraries.

%description static -l pl.UTF-8
Biblioteki statyczne do XFS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%configure \
	--sbindir=%{_bindir}\
	--enable-gettext \
	--enable-readline \
	--enable-blkid \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags}"

%{__make} -j1 \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libexecdir},/etc}

DIST_ROOT=$RPM_BUILD_ROOT
DIST_INSTALL=$(pwd)/install.manifest
DIST_INSTALL_DEV=$(pwd)/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install \
	DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev \
	DIST_MANIFEST="$DIST_INSTALL_DEV"

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xfs_lsprojid

ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libhandle.so.*.*.*) \
	 $RPM_BUILD_ROOT%{_libexecdir}/libhandle.so

%{__mv} $RPM_BUILD_ROOT%{_libdir}/lib*.la $RPM_BUILD_ROOT%{_libexecdir}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/lib*.a $RPM_BUILD_ROOT%{_libexecdir}

%{__sed} -i -e "s|libdir='%{_libdir}'|libdir='%{_libexecdir}'|" \
	$RPM_BUILD_ROOT%{_libexecdir}/libhandle.la

echo "#10:/mnt/ftp/roman"  >> $RPM_BUILD_ROOT/etc/projects
echo "#ftproman:10" >> $RPM_BUILD_ROOT/etc/projid

%find_lang %{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

# already in /usr
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhandle.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/{CHANGES,CREDITS}
%config(noreplace) %verify(not md5 mtime size) /etc/projects
%config(noreplace) %verify(not md5 mtime size) /etc/projid
%attr(755,root,root) %{_sbindir}/fsck.xfs
%attr(755,root,root) %{_sbindir}/mkfs.xfs
%attr(755,root,root) %{_sbindir}/xfs_repair
%attr(755,root,root) %{_bindir}/xfs_*
%attr(755,root,root) %{_libdir}/libhandle.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libhandle.so.1
%{_mandir}/man5/projects.5*
%{_mandir}/man5/projid.5*
%{_mandir}/man5/xfs.5*
%{_mandir}/man8/fsck.xfs.8*
%{_mandir}/man8/mkfs.xfs.8*
%{_mandir}/man8/xfs_*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/libhandle.so
%{_libexecdir}/libhandle.la
%{_includedir}/xfs
%{_mandir}/man3/*handle.3*
%{_mandir}/man3/xfsctl.3*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/libhandle.a
%changelog
* Mon Nov 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfsprogs.git;a=log;h=master

* Mon Nov 27 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 24cbb2b
- up to 4.14.0

* Wed Sep 27 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ceea390
- up to 4.13.1

* Tue Jul 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 2e39a41
- updated pl.po-update patch

* Thu Jul 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a09cb13
- up to 4.12.0

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 513b52b
- updated pl.po-update patch

* Sat May 06 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ddd7d7e
- up to 4.11.0

* Fri Mar 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c00c6b6
- up to 4.10.0

* Thu Jan 05 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 781b959
- up to 4.9.0

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 5d0f6eb
- updated pl.po-update patch

* Wed Oct 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5102c5b
- up to 4.8.0; noquotasync dropped as this is no-op in newer kernels anyway

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1c86294
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Fri Aug 05 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 65ed8d1
- up to 4.7.0

* Wed Mar 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 676681f
- updated pl.po-update patch

* Tue Mar 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> edf4977
- up to 4.5.0

* Sun Jan 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 1faeb58
- updated pl.po-update patch

* Mon Nov 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 767bb0e
- up to 4.3.0

* Tue Oct 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f059db8
- tcmalloc not used anymore - since 661ed87b09d84c332268835dd920241e57cc0131

* Tue Sep 29 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bba2b36
- up to 4.2.0

* Thu Jul 30 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 673f523
- up to 3.2.4; fixes CVE-2012-2150 (infoleak)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> 7f3b3fd
- BR static libs for xfs_copy
- rel 2

